<?php

namespace app\index\model;

use think\Model;

class BoxActionModel extends Model {

    // 确定链接表名
    protected $name = 'box_action_record';

    /**
     * 根据搜索条件获取箱子列表信息
     * @param $offset
     * @param $limit
     */
    public function getBoxActionsByWhere($offset, $limit)
    {
        return $this->limit($offset, $limit)->order('box_number asc')->select();
    }

    /**
     * 根据搜索条件获取所有的箱子数量
     */
    public function getAllCounts()
    {
        return $this->count();
    }
}